get
/public_api/netscan/v1/scan/run/{id}
Retrieve the current status of a specific scan run identified by the
path parameter. Use the fields parameter to specify which fields
to return in the response.
Path parameters
id
Long
required
Scan run ID
Scan run ID
Example:
789
Request headers
User-Agent String required
Example:
userAgent_example
Query parameters
fields
array[String]
required
Fields to include in the response (for example, status).
Fields to include in the response (for example, status).
CLIENT REQUEST
curl -X 'GET'
-H
'Accept: application/json'
-H
'User-Agent: userAgent_example'
'https://api-cortex.paloaltonetworks.com/public_api/netscan/v1/scan/run/{id}?fields='
import http.client
conn = http.client.HTTPSConnection("api-")
headers = { 'User-Agent': "SOME_STRING_VALUE" }
conn.request("GET", "%7Bfqdn%7D/public_api/netscan/v1/scan/run/%7Bid%7D?fields=SOME_ARRAY_VALUE", headers=headers)
res = conn.getresponse()
data = res.read()
print(data.decode("utf-8"))require 'uri'
require 'net/http'
require 'openssl'
url = URI("https://api-/%7Bfqdn%7D/public_api/netscan/v1/scan/run/%7Bid%7D?fields=SOME_ARRAY_VALUE")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
http.verify_mode = OpenSSL::SSL::VERIFY_NONE
request = Net::HTTP::Get.new(url)
request["User-Agent"] = 'SOME_STRING_VALUE'
response = http.request(request)
puts response.read_bodyconst data = null;
const xhr = new XMLHttpRequest();
xhr.withCredentials = true;
xhr.addEventListener("readystatechange", function () {
if (this.readyState === this.DONE) {
console.log(this.responseText);
}
});
xhr.open("GET", "https://api-/%7Bfqdn%7D/public_api/netscan/v1/scan/run/%7Bid%7D?fields=SOME_ARRAY_VALUE");
xhr.setRequestHeader("User-Agent", "SOME_STRING_VALUE");
xhr.send(data);HttpResponse<String> response = Unirest.get("https://api-/%7Bfqdn%7D/public_api/netscan/v1/scan/run/%7Bid%7D?fields=SOME_ARRAY_VALUE")
.header("User-Agent", "SOME_STRING_VALUE")
.asString();import Foundation
let headers = ["User-Agent": "SOME_STRING_VALUE"]
let request = NSMutableURLRequest(url: NSURL(string: "https://api-/%7Bfqdn%7D/public_api/netscan/v1/scan/run/%7Bid%7D?fields=SOME_ARRAY_VALUE")! as URL,
cachePolicy: .useProtocolCachePolicy,
timeoutInterval: 10.0)
request.httpMethod = "GET"
request.allHTTPHeaderFields = headers
let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
if (error != nil) {
print(error)
} else {
let httpResponse = response as? HTTPURLResponse
print(httpResponse)
}
})
dataTask.resume()<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api-/%7Bfqdn%7D/public_api/netscan/v1/scan/run/%7Bid%7D?fields=SOME_ARRAY_VALUE",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"User-Agent: SOME_STRING_VALUE"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}CURL *hnd = curl_easy_init();
curl_easy_setopt(hnd, CURLOPT_CUSTOMREQUEST, "GET");
curl_easy_setopt(hnd, CURLOPT_URL, "https://api-/%7Bfqdn%7D/public_api/netscan/v1/scan/run/%7Bid%7D?fields=SOME_ARRAY_VALUE");
struct curl_slist *headers = NULL;
headers = curl_slist_append(headers, "User-Agent: SOME_STRING_VALUE");
curl_easy_setopt(hnd, CURLOPT_HTTPHEADER, headers);
CURLcode ret = curl_easy_perform(hnd);var client = new RestClient("https://api-/%7Bfqdn%7D/public_api/netscan/v1/scan/run/%7Bid%7D?fields=SOME_ARRAY_VALUE");
var request = new RestRequest(Method.GET);
request.AddHeader("User-Agent", "SOME_STRING_VALUE");
IRestResponse response = client.Execute(request);Responses